<?php
/*
CMSimple kissGallery plugin 
- 0.2 First public release
		* Code cleanup
- 0.1 First internal release

kissGallery($func,$sel)
	$func	1 - show all photos
			2 - show group of photos, $sel contains the group id (album)
*/
function kissGallery($func,$sel) {
 	GLOBAL $plugin_cf,$plugin_tx, $sn, $su, $pth , $hjs, $sl;

	if (!defined('KISSLIBV')) require dirname(__FILE__)."/kiss.php";
	
	$fngroup=dirname(__FILE__).'/data/album.txt';
	$fnfile=dirname(__FILE__).'/data/photo.txt';
	$plugin=basename(dirname(__FILE__),"/");
    $filepath=$pth['folder']['plugins'].$plugin."/photos";

	if (!isset($hjs)) { $hjs=''; }	
	$hjs .= "\n".'<link rel="stylesheet" type="text/css" href="'.$pth['folder']['plugins'].$plugin.'/slimbox/slimbox.css" />';
	$hjs .= "\n".'<script type="text/javascript" src="'.$pth['folder']['plugins'].$plugin.'/slimbox/mootools_11.js"></script>';
	$hjs .= "\n".'<script type="text/javascript" src="'.$pth['folder']['plugins'].$plugin.'/slimbox/slimbox.js"></script>';

	if (!isset($func)) $func=1;
	if (!isset($sel)) $sel=1;

	$groups=kissRFile($fngroup);
	$files=kissRFile($fnfile);
	
	if ($func==2) {
		$tarr=array();
		foreach ($files as $num => $rec) {
			if ($rec[2]==$sel) {
				$tarr[]=$rec;
			}
		}
		$files=$tarr;
	}
	$txt='<div class="kissgallery">';
	$noofcols=$plugin_cf['kissgallery']['indexpage_no_of_cols'];

	if ($func==2) {
		foreach ($groups as $gnum => $grec) {
			if ($grec[0]==$sel) {
				$gname=$grec[2];
				$gdesc=$grec[3];
			}
		}
		if (kissIsTrue($plugin_cf['kissgallery']['show_album_name'])) {
			$txt.='<div class="kissgallery_name">'.$gname.'</div>';
		}
		if (kissIsTrue($plugin_cf['kissgallery']['show_album_desc'])) {
			$txt.='<div class="kissgallery_desc">'.$gdesc.'</div>';
		}
	}

	if (sizeof($files)>0) {
		$txt.='<table class="kissgallery_index"><tr>';
		foreach ($files as $num => $rec) {
			if (($num % $noofcols) == 0) $txt.='</tr><tr>';
// record : array($id,$order,$gid,$file_name,$file_datetime,$file_type,$desc);
			$id=$rec[0];
			$gid=$rec[2];
			$file_name=$rec[3];
			$file_datetime=date($plugin_cf['kissgallery']['datetime_format'],$rec[4]);
			$file_type=$rec[5];
			$desc=$rec[6];
            if ($sl=='en' && isset($rec[7])) $desc=$rec[7];    // WB+
            if ($sl=='it' && isset($rec[8])) $desc=$rec[8];                 
			$txt.='<td class="c kissgallery_photo">';
			$txt.='<a href="'.$filepath.'/'.$id.'.jpg" rel="lightbox[testgr]" title="'.$desc.'"><img src="'.$filepath.'/'.$id.'t.jpg"></a>';
			$txt.='<div style="display:none">'.$desc.'</div>';
			$txt.='</td>';
		}
		$num=$num+1;
		if (($num % $noofcols)>0) {
			for ($j=1;$j<=($noofcols-($num % $noofcols));$j++) {
				$txt.='<td class="c kissgallery_photo">&nbsp;</td>';
			}
		}
		$txt.='</tr></table>';
	} else {
		$txt.=$plugin_tx['kissgallery']['no_files'];
	}
	$txt.='</div>';
	
	return $txt;
}
?>